#
# spec file for package webalizer (Version 2.01.06)
# 
# Copyright  (c)  2001  SuSE GmbH  Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
# 
# please send bugfixes or comments to feedback@suse.de.
#

# neededforbuild  autoconf db db-devel freetype2 gd gd-devel libjpeg libpng mm xf86
# usedforbuild    aaa_base aaa_dir autoconf automake base bash bindutil binutils bison bzip compress cpio cpp cracklib cyrus-sasl db db-devel devs diffutils e2fsprogs file fileutils findutils flex freetype2 gawk gcc gd gd-devel gdbm gdbm-devel gettext glibc glibc-devel gpm gppshare grep groff gzip kbd less libjpeg libpng libtool libz m4 make man mktemp mm modutils ncurses ncurses-devel net-tools netcfg pam pam-devel patch perl ps rcs readline rpm sendmail sh-utils shadow strace syslogd sysvinit texinfo textutils timezone unzip util-linux vim xdevel xf86 xshared

Name:         webalizer
Copyright:    GPL
Group:        Networking/Utilities
Provides:     webalize
Obsoletes:    webalize
Autoreqprov:  on
Version:      2.01.06
Release:      140
URL:          http://www.mrunix.net/webalizer/
Summary:      Web server log file analysis program
Source:       webalizer-2.01-06-src.tar.bz2
Patch:	      webalizer-2.01-06.dif
Patch1:       webalizer-2.01-06-ia64.dif
Patch2:       webalizer-2.01-06-sec-fix.patch
BuildRoot:    /var/tmp/%{name}-build

%description
The Webalizer is a web server log file analysis program which produces
usage statistics in HTML format for viewing with a browser.  The results
are presented in both columnar and graphical format, which facilitates
interpretation.  Yearly, monthly, daily and hourly usage statistics
are presented, along with the ability to display usage by site, URL,
referrer, user agent (browser) and country (user agent and referrer are
only available if your web server procduces Combined log format files).
The Webalizer supports CLF (common log format) log files, as well as
Combined log formats as defined by NCSA and others, and variations of
these which it attempts to handle intelligently.

Authors:
--------
    Bradford L. Barrett <brad@usagl.net>

SuSE series: n

%prep
%setup -n %{name}-2.01-06
%patch
%patch1
%patch2

%build
%{suse_update_config -f}
autoconf
CFLAGS="$RPM_OPT_FLAGS" ./configure --prefix=/usr \
	    --with-gdlib=/usr/lib \
	    --with-gd=/usr/include/gd \
	    --mandir=%{_mandir} \
	    --enable-dns \
	    %{_target_cpu}-suse-linux
make

%install
rm -rf $RPM_BUILD_ROOT
install -d -m 755 $RPM_BUILD_ROOT/usr/bin
install -d -m 755 $RPM_BUILD_ROOT/etc
install -d -m 755 $RPM_BUILD_ROOT/%{_mandir}/man1
make "DESTDIR=$RPM_BUILD_ROOT" install
install -d -m 755 $RPM_BUILD_ROOT/usr/local/httpd/htdocs/webalizer
install -d -m 755 $RPM_BUILD_ROOT/var/lib/webalizer

%clean
rm -rf $RPM_BUILD_ROOT

%preun
rm -f /var/lib/webalizer/*

%files
%defattr(-,root,root)
%config /etc/webalizer.conf
%dir /usr/local/httpd/htdocs/webalizer
%doc %{_mandir}/man1/webalizer*
%doc CHANGES COPYING Copyright README README.FIRST country-codes.txt
/usr/bin/*
/var/lib/webalizer

%changelog -n webalizer
* Wed Oct 31 2001 - tcrhak@suse.cz
- fixed Cross-Site Scripting Bug (webalizer-2.01-06-sec-fix.patch)
* Wed Jul 18 2001 - adostal@suse.cz
- fixed neededforbuild
- clear requires
* Wed Jun 06 2001 - schwab@suse.de
- Remove stupid casts.
* Wed May 23 2001 - cihlar@suse.cz
- fixed cast warnings on ia64
* Wed Mar 21 2001 - ro@suse.de
- added freetype2 to neededforbuild
* Fri Feb 23 2001 - ro@suse.de
- changed neededforbuild <apache> to <apache apache-devel>
* Thu Nov 16 2000 - cihlar@suse.cz
- renamed webalize -> webalizer
- update to version 2.01-6
- fixed neededforbuild
* Wed Nov 15 2000 - ro@suse.de
- fixed neededforbuild gdlib -> gd gd-devel
* Thu Oct 05 2000 - cihlar@suse.cz
- update to version 2.01.03
* Tue Aug 29 2000 - cihlar@suse.cz
- fixed webalize.conf
- bzipped sources
* Wed Apr 26 2000 - cihlar@suse.cz
- added BuildRoot
* Thu Apr 13 2000 - ro@suse.de
- added mm to neededforbuild
* Mon Mar 13 2000 - grimmer@suse.de
- fixed path to Apache logfiles (have been moved to
  /var/log/httpd for SuSE Linux 6.4)
* Wed Jan 26 2000 - grimmer@suse.de
- specfile updates (added URL, Group)
- Now uses macro for man page locations
* Mon Oct 11 1999 - ro@suse.de
- converted to use png with gdlib 1.7.3
* Sat Oct 02 1999 - grimmer@suse.de
- Update to 1.30-04
- Specfile cleanups
- added docu
* Mon Sep 20 1999 - ro@suse.de
- added requires http_daemon
* Mon Sep 13 1999 - bs@suse.de
- ran old prepare_spec on spec file to switch to new prepare_spec.
* Tue May 04 1999 - grimmer@suse.de
- Update to 1.22-03
- corrected sample configuration comment
- specfile tweaks for new version
* Thu Apr 29 1999 - grimmer@suse.de
- corrected typo in config-file
* Tue Oct 06 1998 - grimmer@suse.de
- new version 1.20-07
- specfile cleanup
* Thu Feb 12 1998 - ro@suse.de
- new package by bb for web server log file analysis
